Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

cloudera-scm-agent failed to start.

cloudera-scm-agent failed to start.

Explorer

I choose Path C tarball install for cloudera manager installation. Followed all steps described in the installation document. I have sucessfully start scm server, but getting below error when I try to start agent service. 

 

sudo /usr/local/cloudera-manager/cm-5.3.1/etc/init.d/cloudera-scm-agent start
Starting cloudera-scm-agent: [FAILED]

 

There are no log files under /usr/local/cloudera-manager/cm-5.3.1/log/cloudera-scm-agent, only .out file is available.

 

Traceback (most recent call last):
File "/usr/local/cloudera-manager/cm-5.3.1/lib64/cmf/agent/src/cmf/agent.py", line 19, in <module>
import psutil
File "/usr/local/cloudera-manager/cm-5.3.1/lib64/cmf/agent/build/env/lib/python2.6/site-packages/psutil-2.1.3-py2.6-linux-x86_64.egg/psutil/__init__.py", line 89, in <module>
import psutil._pslinux as _psplatform
File "/usr/local/cloudera-manager/cm-5.3.1/lib64/cmf/agent/build/env/lib/python2.6/site-packages/psutil-2.1.3-py2.6-linux-x86_64.egg/psutil/_pslinux.py", line 24, in <module>
import _psutil_linux as cext
ImportError: /lib64/libc.so.6: version `GLIBC_2.7' not found (required by /usr/local/cloudera-manager/cm-5.3.1/lib64/cmf/agent/build/env/lib/python2.6/site-packages/psutil-2.1.3-py2.6-linux-x86_64.egg/_psutil_linux.so)

 

Please help me to come out of this issue.

3 REPLIES 3

Re: cloudera-scm-agent failed to start.

What versions of glibc do you have installed on the OS? On Red Hat you can run

# yum list | grep glibc
# rpm -qa | grep glibc

Regards,
Gautam Gopalakrishnan

Re: cloudera-scm-agent failed to start.

Explorer

Below are the output of glibc.

 

# yum list | grep glibc

glibc.i686 2.5-123.el5_11.1 installed
glibc.x86_64 2.5-123.el5_11.1 installed
glibc-common.x86_64 2.5-123.el5_11.1 installed
glibc-devel.x86_64 2.5-123.el5_11.1 installed
glibc-headers.x86_64 2.5-123.el5_11.1 installed
compat-glibc.i386 1:2.3.4-2.26 org-rhel-5.8_x86_64
compat-glibc.x86_64 1:2.3.4-2.26 org-rhel-5.8_x86_64
compat-glibc-headers.x86_64 1:2.3.4-2.26 org-rhel-5.8_x86_64
glibc.i386 2.5-123.el5_11.1 org-rhel-5.8_x86_64
glibc-common.i386 2.5-123.el5_11.1 org-rhel-5.8_x86_64
glibc-devel.i386 2.5-123.el5_11.1 org-rhel-5.8_x86_64
glibc-headers.i386 2.5-123.el5_11.1 org-rhel-5.8_x86_64
glibc-utils.i386 2.5-123.el5_11.1 org-rhel-5.8_x86_64
glibc-utils.x86_64 2.5-123.el5_11.1 org-rhel-5.8_x86_64

 

# rpm -qa | grep glibc
glibc-devel-2.5-123.el5_11.1
glibc-common-2.5-123.el5_11.1
glibc-2.5-123.el5_11.1
glibc-headers-2.5-123.el5_11.1
glibc-2.5-123.el5_11.1

 

 

Highlighted

Re: cloudera-scm-agent failed to start.

Not sure what release of Cent OS you're on but in mine, I see glibc 2.12.
Do you have the "updates" repo configured?

# yum list | grep glibc
compat-glibc.x86_64 1:2.5-46.2
base
compat-glibc-headers.x86_64 1:2.5-46.2
base
glibc.i686 2.12-1.149.el6_6.5
updates
glibc.x86_64 2.12-1.149.el6_6.5
updates
glibc-common.x86_64 2.12-1.149.el6_6.5
updates
glibc-devel.i686 2.12-1.149.el6_6.5
updates
glibc-devel.x86_64 2.12-1.149.el6_6.5
updates
glibc-headers.x86_64 2.12-1.149.el6_6.5
updates
glibc-static.i686 2.12-1.149.el6_6.5
updates
glibc-static.x86_64 2.12-1.149.el6_6.5
updates
glibc-utils.x86_64 2.12-1.149.el6_6.5
updates

Regards,
Gautam Gopalakrishnan
Don't have an account?
Coming from Hortonworks? Activate your account here